org.appng.openapi.model

## Class SectionElement

- java.lang.Object
- - org.appng.openapi.model.SectionElement

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class SectionElement
      extends Object

  SectionElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_ACTION`
    `static String` | `JSON_PROPERTY_COLLAPSED`
    `static String` | `JSON_PROPERTY_DATASOURCE`
    `static String` | `JSON_PROPERTY_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SectionElement` | `action(Action action)`
    `SectionElement` | `collapsed(Boolean collapsed)`
    `SectionElement` | `datasource(Datasource datasource)`
    `boolean` | `equals(Object o)`
    `Action` | `getAction()` Get action
    `Boolean` | `getCollapsed()` Whether the element is collapsed
    `Datasource` | `getDatasource()` Get datasource
    `String` | `getTitle()` Get title
    `int` | `hashCode()`
    `void` | `setAction(Action action)`
    `void` | `setCollapsed(Boolean collapsed)`
    `void` | `setDatasource(Datasource datasource)`
    `void` | `setTitle(String title)`
    `SectionElement` | `title(String title)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_TITLE

          public static final String JSON_PROPERTY_TITLE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_COLLAPSED

          public static final String JSON_PROPERTY_COLLAPSED

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_DATASOURCE

          public static final String JSON_PROPERTY_DATASOURCE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ACTION

          public static final String JSON_PROPERTY_ACTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SectionElement

          public SectionElement()

  - ### Method Detail

    - #### title

          public SectionElement title(String title)

    - #### getTitle

          @Nullable
          public String getTitle()

      Get title
      Returns:
        title

    - #### setTitle

          public void setTitle(String title)

    - #### collapsed

          public SectionElement collapsed(Boolean collapsed)

    - #### getCollapsed

          @Nullable
          public Boolean getCollapsed()

      Whether the element is collapsed
      Returns:
        collapsed

    - #### setCollapsed

          public void setCollapsed(Boolean collapsed)

    - #### datasource

          public SectionElement datasource(Datasource datasource)

    - #### getDatasource

          @Nullable
          public Datasource getDatasource()

      Get datasource
      Returns:
        datasource

    - #### setDatasource

          public void setDatasource(Datasource datasource)

    - #### action

          public SectionElement action(Action action)

    - #### getAction

          @Nullable
          public Action getAction()

      Get action
      Returns:
        action

    - #### setAction

          public void setAction(Action action)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.